> ## Documentation Index
> Fetch the complete documentation index at: https://docs.knoxcall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Route

> Permanently deletes a route and all of its environment overrides

## Delete Route

```text theme={"dark"}
DELETE /v1/routes/:id
```

Permanently deletes a route and all of its environment overrides.

### Path Parameters

| Parameter | Type | Description  |
| --------- | ---- | ------------ |
| `id`      | uuid | The route ID |

### Response

```json theme={"dark"}
{
  "data": { "deleted": true },
  "meta": { "request_id": "550e8400-e29b-41d4-a716-446655440000" }
}
```

### Errors

| Status | Type        | Description     |
| ------ | ----------- | --------------- |
| 404    | `not_found` | Route not found |
